﻿@model ContactUs.Models.ContactViewModel
@{
    ViewData["Title"] = "Home Page";
}
<script src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script>
<script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>
<div>
    <div class="col-md-6">
        <div>
            @if (ViewBag.Message == null)
            {
                <div>
                    <form method="post">
                        <div>
                            <h1>Contact Us Form</h1>
                        </div>
                        <div class="form-group">
                            <label asp-for="FirstName">FirstName</label>
                            <input type="text" asp-for="FirstName" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label asp-for="LastName">LastName</label>
                            <input type="text" asp-for="LastName" class="form-control" />
                        </div>
                        <div class="form-group">
                            <label asp-for="Email">Email</label>
                            <input type="text" asp-for="Email" class="form-control" />
                            <span asp-validation-for="Email" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="Message">Message</label>
                            <textarea rows="5" cols="15" asp-for="Message" class="form-control"></textarea>
                        </div>
                        <div>
                            <input type="submit" id="btnSubmit" class="form-control" value="SUBMIT"/>
                        </div>
                    </form>
                </div>
            }
        </div>

        <div>
            <div>
                @if (ViewBag.Message != null)
                {
                    <div>@ViewBag.Message</div>
                }
            </div>
        </div>
    </div>

</div>